// Initialize player data
const players = [
  {
    name: "Virat Kohli",
    team: "RCB",
    role: "Batsman",
    stats: {
      runs: 789,
      avg: 52.60,
      sr: 138.45
    }
  },
  {
    name: "Jasprit Bumrah",
    team: "MI",
    role: "Bowler",
    stats: {
      wickets: 27,
      econ: 7.25,
      avg: 15.33
    }
  }
];

// Function to update player stats
function updatePlayerStats(playerName, newStats) {
  const player = players.find(p => p.name === playerName);
  if (player) {
    Object.assign(player.stats, newStats);
    updatePlayerDisplay(player);
  }
}

// Function to update player display
function updatePlayerDisplay(player) {
  const playerCard = document.querySelector(`.player-card:has(h3:contains("${player.name}"))`);
  if (playerCard) {
    playerCard.querySelector('.stat span:nth-child(1)').textContent = player.stats.runs || player.stats.wickets;
    playerCard.querySelector('.stat span:nth-child(2)').textContent = player.stats.avg;
    playerCard.querySelector('.stat span:nth-child(3)').textContent = player.stats.sr || player.stats.econ;
  }
}

// Event listeners for navigation
document.querySelectorAll('.nav-links a').forEach(link => {
  link.addEventListener('click', (e) => {
    e.preventDefault();
    const target = document.querySelector(link.getAttribute('href'));
    target.scrollIntoView({ behavior: 'smooth' });
  });
});

// Initial display update
players.forEach(updatePlayerDisplay);